Subject: Re: bug#8397: 24.0.50; defcustom :type face

From: Chong Yidong <[email-masked]>
Date: Mon, 06 Feb 2012 00:03:19 +0800

"Drew Adams" <[email-masked]> writes:

> Prior to Emacs 22, you could simply click the `Select Face' button and
> then use TAB completion to see all faces and choose one.  IOW, that
> button prompted you in the minibuffer for the face name, and hitting
> TAB immediately (no need to type anything) showed you the names of all
> faces.
>  
> Starting with Emacs 22, you must type some text into the face-name
> field, then hit M-TAB.  So you must know some of the face name ahead of
> time, instead of simply seeing all names as a reminder.

I don't see the problem: when the field is blank, M-TAB shows all faces
as completion alternatives.  There is no need to know any face name
ahead of time.